Printago API
GET /v1/customizer/fonts/store-google

List store Google fonts pool

List the store's curated Google Fonts pool. Each entry is enriched with resolved CSS + download URLs from the Google Fonts catalog.

Requires: customizer.manage

Response Schema

StoreGoogleFontWithUrls[]
Array of StoreGoogleFontWithUrls, each with:
createdAtrequired
string
format: date-time
cssUrlrequired
string
CSS API URL for browser display (e.g. `https://fonts.googleapis.com/css2?...`).
downloadUrlrequired
string
Direct binary URL on `fonts.gstatic.com`.
familyrequired
string
Google Font family name (e.g. "Roboto").
idrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "cssUrl": "string",
    "downloadUrl": "string",
    "family": "string",
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]